NX Open C++ Reference Guide
|
Represents a Features::Subdivision::StartSymmetricModelingBuilder builder
To create a new instance of this class, use Features::Subdivision::SubdivisionBodyCollection::CreateStartSymmetricModelingBuilder
Created in NX9.0.0.
More...
Public Types | |
enum | MirrorProcedureOption { MirrorProcedureOptionCutBody, MirrorProcedureOptionProjectEdge } |
The options used to establish symmetric model. More... | |
Public Member Functions | |
NXOpen::Features::Subdivision::SelectCageObjectData * | EdgesToProject () |
Returns the edges to project Created in NX9.0.0. | |
NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption | MirrorProcedureOptions () |
Returns the mirror procedure options Created in NX9.0.0. | |
NXOpen::Plane * | Plane () |
Returns the plane Created in NX9.0.0. | |
void | SetMirrorProcedureOptions (NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption mirrorProcedureOptions) |
Sets the mirror procedure options Created in NX9.0.0. | |
void | SetPlane (NXOpen::Plane *plane) |
Sets the plane Created in NX9.0.0. | |
void | SetSwitchSide (bool switchSide) |
Sets the flag indicating if the mirror side should be switched Created in NX9.0.0. | |
bool | SwitchSide () |
Returns the flag indicating if the mirror side should be switched Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::Subdivision::StartSymmetricModelingBuilder builder
To create a new instance of this class, use Features::Subdivision::SubdivisionBodyCollection::CreateStartSymmetricModelingBuilder
Created in NX9.0.0.
NXOpen::Features::Subdivision::SelectCageObjectData* NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::EdgesToProject | ( | ) |
Returns the edges to project
Created in NX9.0.0.
License requirements : None
NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOptions | ( | ) |
Returns the mirror procedure options
Created in NX9.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::Plane | ( | ) |
Returns the plane
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SetMirrorProcedureOptions | ( | NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption | mirrorProcedureOptions | ) |
Sets the mirror procedure options
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
mirrorProcedureOptions | mirrorprocedureoptions |
void NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SetPlane | ( | NXOpen::Plane * | plane | ) |
Sets the plane
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
plane | plane |
void NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SetSwitchSide | ( | bool | switchSide | ) |
Sets the flag indicating if the mirror side should be switched
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
switchSide | switchside |
bool NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SwitchSide | ( | ) |
Returns the flag indicating if the mirror side should be switched
Created in NX9.0.0.
License requirements : None